
models=(
  "Llama-2-7b-hf"
  "Llama-3-8b-hf"
  "gemma-2b"
  "gemma-7b"
)

for num_shot in 0 5; do
    for task in "mmlu"; do
        paths=()
        for model in ${models[*]}; do
            paths[${#paths[*]}]="results_${task}/${num_shot}s_${model}/${task}_perm"
        done
        for debias_fn in "simple" "full"; do
            python debias_base.py --task ${task} --load_paths ${paths[*]} --debias_fn ${debias_fn}
        done
    done
done
